/*global css start*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
}
.sp-60 {
  padding-top: 60px;
  padding-bottom: 60px;
}
.spt-60 {
  padding-top: 60px;
}
.spb-60 {
  padding-bottom: 60px;
}
.mt-20 {
  margin-top: 20px;
}

.mb-20 {
  margin-bottom: 20px;
}

.pt-20 {
  padding-top: 20px;
}

.pb-20 {
  padding-bottom: 20px;
}
/*global css end*/

/*header css*/

.navbar_mobile button{
  background-color: unset;
  border: transparent;
}

.navbar_mobile button img{
  width: 2rem;
}

header .nav-item .nav-link{
  padding-left: 2rem!important;
  padding-right: 2rem!important;
  color: var(--color-dark);
}

nav.navbar{
  background-color: var(--color-white)!important;
  padding: 0;
  padding-top: 12px;
  padding-bottom: 12px;
}

header .nav-item .nav-link:hover{
  color: var(--primary-color);
}

header .nav-item .nav-link.active{
  background-color: var(--primary-color);
  padding: 8px;
  color:var(--color-white);
  border-radius: 24px;
}

.navbar-brand{
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 0;
}
.navbar-brand img {
  width: auto !important;
  height: 72px !important;
  max-width: 300px;
}

.mega_menu{
  position: unset!important;
  
}

 .mega_menu .dropdown-menu{
  width: 100%;
  left: 0;
  right: 0;
  top: 76%!important;
  min-width: unset;
  border: 0;
  background-color: var(--color-white);
  border-radius: 0!important;
 } 

 .mega_menu_inner{
  padding: 1rem;
 }

 .mega_menu_inner ul{
  padding: 0;
 }

  .mega_menu_inner .img_container{
    border-radius: 12px;
    overflow: hidden;
  }

  .mega_menu_inner li a img{
    width: 50px;
    height: 50px;
    transition: transform var(--default-transition);
  }

.mega_menu_inner li a.active{
  color: var(--primary-color);
}

.mega_menu_inner ul li:hover a img{
   transform: scale(1.1);
 }

  .mega_menu_inner li{
    list-style-type: none;
    padding: 1rem 0;
  }

  .mega_menu_inner li:hover a{
    color: var(--primary-color);
  }

  .mega_menu_inner li a{
    display: flex;
    align-items: center;
    gap:12px;
    text-decoration: none;
    color: var(--color-dark);
    font-weight: 600!important;
    border-radius: 6px;
  }

 .nav-item:hover .dropdown-menu {
  display: block!important;
}

.hero_section_wrap{
  position: relative;
  padding-top:2rem;
}

.hero_text{
  margin-bottom: 30px;
}

.hero_text p{
    color:#404040!important;
    font-weight:500;
}

.hero_btn_blocks{
  position: absolute;
  top: 28px;
  left: 0;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 1rem;
  z-index: 1;
}

.btn_element{
  background-color: var(--primary-color);
  font-weight: 400!important;
  text-decoration: none;
  background-color: var(--primary-color);
  border-radius:54px;
  padding: 12px 20px;
  color: var(--color-white);
  border: 1px solid var(--primary-color);
  transition: color var(--default-transition);
}

.contact_us_btn{
    padding:12px 8px;
}

.btn_element:hover{
 /*background-color: transparent;*/
 color: #ffffff;
}

/* -------about-us-start------- */
.section_heading{
  padding-bottom: 1rem;
}
.section_heading h2 {
  margin-left: 30px;
  display: flex;
  align-items: flex-start;
}

.about_left_block{
  padding: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.about_left_block img{
  width: 30px;
}
/* -------about-us-end------- */

/* ----why-choose-us-start----- */
.why_choose_us .card_body p{
  font-size: 24px;
}
/* ----why-choose-us-end----- */

/* ---our-services-start--- */
.service_card{
  text-decoration: none;
  color: var(--color-dark);
}

.service_card:hover h4{
   color: var(--primary-color);
}

.service_card .service_img_container{
  position: relative;
  overflow: hidden;
  border-radius: 40px;
}

.service_card img{
  transition: transform var(--default-transition);
  width:100%;
  border-radius: 34px;
}

.service_card:hover img{
  transform: scale(1.1);
}

.services_btn{
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 12px;
  transition:transform var(--default-transition);
  font-size: 12px!important;
}

.services_btn:hover{
  transform:scale(0.95)!important;
  background-color: var(--primary-color)!important;
  color: var(--color-white)!important;
}

.card_footer p{
  font-weight: 600!important;
  color: var(--primary-color)!important;
}

.card_footer span{
  font-weight: 400;
  font-size: 14px;
  color: #6C696E;
}

.show_on_hover{
  opacity:0;
  visibility: hidden;
  transition: opacity 0.5s ease-in-out,visibility 0.5s ease-in-out;
}

.services_contianer .show_on_hover.show{
  opacity: 1;
  visibility: visible;
}

.show_on_hover ul{
  padding: 0;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 1rem;
  margin-top: 1rem;
}

.show_on_hover ul li{
  list-style-type: none;
  font-size: 14px;
  color: var(--primary-color);
  padding: 8px 16px;
  background-color: #E4F5F4;
  border-radius: 2rem;
}

.learn_more_btn{
  padding:8px 16px;
  border-radius: 2rem;
  outline: 0;
  border: 1px solid var(--primary-color);
  background-color: var(--color-white);
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 12px;
  color: var(--primary-color);
  margin-top: 2rem;
  transition: transform var(--default-transition);
}

.learn_more_btn:focus{
  outline: 2px solid var(--primary-color);
  outline-offset: 2px;
}

.learn_more_btn img{
  width: 1rem;
}

.learn_more_btn:hover{
  background-color:var(--primary-color);
  color:#ffffff;
}

.learn_more_btn:hover img{
   filter: brightness(0) invert(1);
  
}

/* ---our-services-end--- */

/* ----faq-section-start---- */
.faq_sect .accordion-button:not(.collapsed){
  background-color: unset!important;
}

.faq_sect .accordion-item{
  border-radius:0!important;
  border-top: 0;
  border-left: 0;
  border-right: 0;
  padding: 1rem 0;
}

.faq_sect .accordion-header button{
  color: var(--color-dark)!important;
  font-size: 24px;
  font-weight: 500;
}

.faq_sect .accordion-body p{
  color: #676767!important;
}

.faq_sect .accordion-button::after {
    background-image: url('../images/faq/faq-arrow.svg')!important;
}

.faq_sect .accordion-button:focus{
  box-shadow: none!important;
  outline: 2px solid var(--primary-color);
  outline-offset: -2px;
}

.faq_sect .accordion-button:not(.collapsed){
  box-shadow: none!important;
}

.accordion .accordion-item:last-child{
  border-bottom: 0;
}
/* ----faq-section-end---- */

/* ----cta-section-start---- */
.cta_sect{
  background-image: url('../images/cta/cta-bg.png');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  min-height:350px;
}

.cta_content{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  position: absolute;
  z-index: 1;
  margin: auto;
  text-align: center;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}
.cta_content p{
  text-align: center;
  font-size: 32px;
}

.cta_content .cta_subheading{
  color: var(--color-white)!important;
  font-size: 24px!important;
}
.text_gradient{
  background-image: linear-gradient(90deg, #FFFFFF, #FFFFFF33);
 background-clip: text;
-webkit-background-clip: text;
color: transparent !important;
}

.cta_btn{
  background-color: var(--color-white);
  color: var(--primary-color);
  text-decoration: none;
  padding: 8px 1rem;
  border-radius: 40px;
  border: 1px solid var(--color-white);
}

.cta_btn:hover{
  background-color: transparent;
  color: var(--color-white);
}
/* ----cta-section-end---- */


/* ------about-page-start----- */
.service_hover_cont{
  position: absolute;
  inset: 0;
  padding: 20px;
  border-radius: 24px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0,0.65);
  opacity: 0;
  transition: opacity var(--default-transition);
}

.service_img_container:hover .service_hover_cont{
  opacity: 1;
} 


.service_hover_cont p{
  color: var(--color-white)!important;
  font-size: 1rem!important;
}

.about_right_block img{
  width: 100%;
  height:100%;
}

/* ------about-page-end----- */

/* ----our-services-start---- */
.services_contianer{
  text-decoration: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 1rem;
}
.services_left{
  overflow: hidden;
  border-radius: 24px;
  flex-shrink: 0;
  max-width: 450px;
}

.services_left img{
  width: 100%;
  transition: transform var(--default-transition);
  border-radius:34px;
}
.services_contianer:hover .services_left img{
  transform: scale(1.1);
}

.services_contianer:hover .services_right h3{
  color: var(--primary-color);
}

.services_contianer .services_right p{
  font-size: 18px!important;
}

.services_right .card_heading h3{
  color: var(--color-dark);
}

.cta_gradient_text{
  background-image: linear-gradient(90deg,#FFFFFF,#FFFFFF33);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent!important;
}

.cta_content.services_cta_content p{
  color: unset;
}

.services_cta{
  background-image: url('../images/our-services/services-cta.png');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 350px;
}

.services_cta_content{
  width: 95%!important;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: auto;
  text-align: center;
  gap: 1rem;
}

.services_cta_content .cta_subheading{
  color: var(--color-white)!important;
  font-size: 24px!important;
}

.cta_btn_block{
  display: flex;
  justify-content: center;
  gap: 1rem;
}

.cta_btn_block .portfolio_btn{
  border: 1px solid var(--color-white);
  background-color: transparent;
  color: var(--color-white);
}

.cta_btn_block .portfolio_btn:hover{
  background-color: var(--color-white);
  color: var(--primary-color);
}

/* ----our-services-end---- */

/* ----our-works-start----- */
.porto_img_item{
  overflow: hidden;
}

.porto_img{
  object-fit: cover;
  border-radius: 24px;
  transition: transform var(--default-transition);
}
.porto_img_item:hover img{
  transform: scale(1,1);
}

/* ----our-works-end----- */

/* --contact-page-start--- */
.contact_sect form input,.contact_sect form textarea{
  background-color: #293A730F;
  padding: 12px 24px;
  border-radius: 54px;
  border: transparent;
  margin:10px;
}

.contact_sect form input::placeholder,.contact_sect form textarea::placeholder{
  color: #293A73;
  font-weight: 500;
}

.contact_sect .form-control:focus {
    outline: 1px solid var(--primary-color);
    box-shadow: none;
}

.submit_btn{
  padding: 12px 3rem;
  background-color: var(--primary-color);
  border-radius: 54px;
  color: var(--color-white);
  border: transparent;
  outline: transparent;
  border: 1px solid var(--primary-color);
}

.submit_btn:hover{
  background-color: var(--primary-color)!important;
  color:#ffffff!important;
}

.form_submit_btn{
  border-radius: 8px;
  border: 1px solid var(--primary-color)!important;
}
.form_submit_btn:hover{
    background-color:var(--primary-color)!important;
    color:#ffffff!important;
}

.contact_detials{
  margin-top: 2rem;
}

.contact_detials h3{
  color: var(--color-dark);
}

.contact_detials span{
  font-size: 12px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap:8px;
  padding: 12px;
  border: 1px solid #d3d3d3;
  width: fit-content;
  border-radius: 20px;
}

.contact_detials a{
  background-image: linear-gradient(90deg,#00A79D,#293A73);
  background-clip: text;
  --webkit-background-clip:text;
  color:transparent; 
 }
/* --contact-page-end--- */

/* ------services-page-start------ */
.why_choose .card_heading{
  color: var(--color-dark);
  margin-bottom: 1rem;
}

.why_choose .card_heading h3{
  color: var(--color-dark);
}

.why_choose .card_body p{
  color: #676767!important;
  line-height: 24px;
}

/* ------services-page-end------ */

/* ---footer-section-start--- */
.footer_sect{
  background-color: #0E7B73; /* darkened from var(--primary-color) #13A89E for WCAG AA contrast with white text, Sep 4 2026 */
  padding: 40px 0;
}

.footer_block1 p{
 color: var(--color-white)!important;
 margin-top:1rem;
 margin-bottom: 2rem!important;
}

.footer_block1 ul{
  padding:0;
}

.footer_block1 ul li{
  list-style-type: none;
  margin-bottom: 8px;
}
.footer_block1 ul li a{
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 8px;
  text-decoration: none;
  color:var(--color-white);
  font-size: 14px;
}

.footer_block1 ul li a:hover{
  text-decoration: underline;
}

.footer_block2{
  display: flex;
  justify-content: space-between;
}



.footer_block2 h4{
  color: var(--color-white);
}

.footer_block2 ul{
  padding: 0;
}
.footer_block2 ul li{
  list-style-type: none;
  margin-bottom: 12px;
}
.footer_block2 ul li a{
  font-size: 14px!important;
  color: var(--color-white);
  text-decoration: none;
}

.footer_block2 ul li a:hover{
  text-decoration: underline;
}

.footer_copyright{
  background-color: var(--primary-color);
  border-top: 1px dotted var(--color-white);
}

.footer_copyright p{
  padding: 1rem 0;
  text-align: center;
  color: var(--color-white)!important;
  margin-bottom: 0!important;
  font-size: 16px;
}

.form {
  max-width: 480px;
  margin: 24px;
}

.form_field {
  position: relative;
  margin: 18px 0;
}

/* Input field */
.form_input {
  width: 100%;
  padding: 12px ;
  font-size: 16px;
  background: #ffffff1a;
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
  border-radius: 40px;
  outline: none;
  box-sizing: border-box;
  border: 1px solid transparent;
  color: var(--color-white);
  transition: 
    border-color 0.3s ease,
    box-shadow 0.3s ease,
    background 0.3s ease;
  -webkit-appearance: none;
}

/* Focus state */
.form_input:focus {
  border-color: var(--color-white);
  background: #ffffff26;
  box-shadow: 0 0 8px rgba(255, 255, 255, 0.2);
}

/* Label */
.form_label {
  position: absolute;
  left: 18px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
  font-size: 16px;
  color: var(--color-white);
  transform-origin: left center;
  transition: 
    transform 0.35s cubic-bezier(0.25, 0.1, 0.25, 1),
    color 0.35s ease,
    font-size 0.35s ease,
    opacity 0.35s ease;
  opacity: 0.85;
}

/* Float label on focus or when field is not empty */
.form_input:focus + .form_label,
.form_input:not(:placeholder-shown) + .form_label {
  transform: translateY(-130%) scale(0.9);
  color: var(--color-white);
  font-size: 13px;
  opacity: 1;
}

/* JS fallback */
.form_field.has_value .form_label {
  transform: translateY(-130%) scale(0.9);
  color: var(--color-white);
  font-size: 13px;
  opacity: 1;
}

.form_btn{
  background-color: var(--color-white);
  color: var(--primary-color);
  padding: 10px;
  width: 100%;
  border: transparent;
  outline: transparent;
  border-radius: 40px;
  border: 1px solid var(--color-white);
}

.form_btn:hover{
  background-color: transparent;
  color: var(--color-white);
}
/* ---footer-section-end--- */

/* ----offcanvas-menu-start---- */
    .submenu {
      max-height: 0;
      overflow: hidden;
      transition: max-height 0.35s ease;
    }
    .submenu.show {
      min-height: 300px;
      overflow-y: scroll; 
    }

    /* Style tweaks */
    .offcanvas {
      background-color: var(--color-white);
      color:var(--color-dark);
    }
    .offcanvas a {
      color: white;
      text-decoration: none;
    }
    .offcanvas a:hover {
      color: var(--primary-color);
    }
    .menu_link {
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 12px 0;
      cursor: pointer;
      border-bottom: 1px solid rgba(255,255,255,0.1);
    }

    .menu_link a{
      color: var(--color-dark)!important;
    }

    .submenu a {
      display: block;
      padding: 8px 0 8px 20px;
      font-size: 1rem!important;
      color: #676767;
    }
    .submenu a:hover {
      color: var(--primary-color);
    }

    .btn-close{
      --bs-btn-close-white-filter:unset!important;
    }

/* ----offcanvas-menu-end---- */


/* -----enquire-now-form-start------ */
.enquire_now_form .modal-header h1{
   flex: 1; 
 }

 .enquire_now_form #enquiry_form input,.enquire_now_form #enquiry_form textarea{
  border: 1px solid #D1D5DB!important;
  padding: 12px!important;
 }

  .enquire_now_form #enquiry_form input:focus,.enquire_now_form #enquiry_form textarea:focus{
    box-shadow: none;
    outline: 1px solid var(--primary-color);
  }

  .enquire_now_form #enquiry_form label{
    color:#374151;
    font-size: 1rem;
    font-weight: 600;
  }

  .enquire_now_form #enquiry_form input::placeholder,.enquire_now_form #enquiry_form textarea::placeholder{
    color: #ADAEBC;
    font-size: 12px;
  }
/* -----enquire-now-form-end------ */

/* --- Sticky Navbar --- */
#main_navbar,#mobile_navbar {
  transition: top 0.4s ease, box-shadow 0.3s ease;
  width: 100%;
  z-index: 999;
}

/* When it becomes fixed */
#main_navbar.fixed,#mobile_navbar.fixed {
  position: fixed;
  top: 0;
  left: 0;
  background: #fff; 
  box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}

#main_navbar.hide,#mobile_navbar.hide {
  top: -120px; /* Adjust depending on navbar height */
}

.hero_img {
  width: 100%;
}
.mob_nav_link.active{
  color: var(--primary-color)!important;
}

.swipe_left, .swipe_right {
  display: flex;
  overflow: hidden;
}

/* .our_works{
  position: relative;
  height:100vh;
}

.our_works .scatter_item{
  position: absolute;
  left: 0;
  right: 0;
  transform: translate(150%);
} */

.our_works .scatter_item:nth-child(1){
  z-index: 4;
}

.our_works .scatter_item:nth-child(3){
  z-index: 3;
}

.our_works .scatter_item:nth-child(2){
  z-index: 1;
}

.our_works .scatter_item:nth-child(4){
  z-index: 3;
}


.gradient_border {
  position: relative;
  border-radius: 40px;             
  padding: 5px;                 
  background: #fff;                 
  z-index: 0;
}

.gradient_border::before {
  content: "";
  position: absolute;
  inset: 0;
  padding: 2px;                    
  border-radius: inherit;
  background: linear-gradient(
    135deg,
    #13A89E,
    #293A73
  );
  -webkit-mask:
    linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
          mask-composite: exclude;
  z-index: -1;
}

@media(max-width:768px){
.gradient_border {
    border-radius: 26px;
}

.service_img_container {
    height:auto!important;
}

.service_card img{
    height:auto!important;
}
.services_left img {
    border-radius: 24px;
}
.contact_sect h1,.contact_sect p{
  text-align:left!important;
}
.hero_btn_blocks{
  position: unset;
  margin-bottom:1rem;
}

.hero_section_wrap{
    padding-top:0;
    padding-bottom:30px;
}

.about_left_block{
  padding: 1.5rem;
}

.hero_section .swiper-pagination{
  top:88%!important;
}

}

#back_to_top{
  width: 40px;
  height: 40px;
  background-color: var(--primary-color);
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  bottom: 1rem;
  z-index: 10;
  right: 1rem;
  border-radius: 5px;
  border: 1px solid var(--primary-color);
  opacity: 0;
  visibility: hidden;
  transition: visibility var(--default-transition),opacity var(--default-transition);
}

#back_to_top:hover{
  border: 1px solid var(--primary-color);
  background-color: var(--color-white)!important;
}

#back_to_top a i{
  color: var(--color-white)!important;
  font-size: 24px;
}


#back_to_top:hover a i{
  color: var(--primary-color)!important;
}


#back_to_top.show{
  visibility: visible;
  opacity: 1;
}

.reveal_btn {
  position: relative;
  overflow: hidden;
  transition: box-shadow 0.3s ease;
}

.hover_glint_x9 {
  position: relative;
  overflow: hidden;
  transition: box-shadow 0.3s ease;
}

/* light sweep overlay */
.hover_glint_x9::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    120deg,
    transparent 30%,
    rgba(255, 255, 255, 0.35),
    transparent 70%
  );
  transform: translateX(-75%);
  transition: transform 0.6s ease;
  pointer-events: none;
}

.hover_glint_x9:hover::after {
  transform: translateX(120%);
}

/* subtle glow – no layout change */
.hover_glint_x9:hover {
  box-shadow: 0 0 0 2px rgba(19, 168, 158, 0.25),
              0 10px 25px rgba(19, 168, 158, 0.25);
}

.swiper-pagination-bullet-active {
    background: var(--primary-color)!important;
}


/* ====gsap-animatons-start===== */
@media (prefers-reduced-motion: reduce) {
  .curtain-text { transition: none; clip-path: inset(0 0 0 0); opacity: 1 !important; }
}
  .curtain_text {
    /* display: inline-block; */
    overflow: hidden;
    clip-path: inset(0 100% 0 0); 
    opacity: 0;
  }
/* ====gsap-animatons-end===== */